Permalink
Browse files

libpthsem: needs mmu

The need can be patched out by disabling the tests, however the only
package that uses libpthsem (bcusdk) needs a fork-enabled libpthsem so
there's not much point. Fixes:

Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar>
Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
  • Loading branch information...
gustavoz authored and jacmet committed Mar 29, 2013
1 parent 294ac7e commit d3a1037bb62a2ab877e9443fbb15ec66a0adfef8
Showing with 2 additions and 0 deletions.
  1. +1 −0 package/bcusdk/Config.in
  2. +1 −0 package/libpthsem/Config.in
View
@@ -1,5 +1,6 @@
config BR2_PACKAGE_BCUSDK
bool "bcusdk"
+ depends on BR2_USE_MMU # libpthsem
depends on BR2_INSTALL_LIBSTDCPP
select BR2_PACKAGE_LIBPTHSEM
help
@@ -1,5 +1,6 @@
config BR2_PACKAGE_LIBPTHSEM
bool "libpthsem"
+ depends on BR2_USE_MMU # fork()
select BR2_PACKAGE_ARGP_STANDALONE
help
GNU pth is a user mode multi threading library. pthsem is an extend

0 comments on commit d3a1037

Please sign in to comment.